clang-tools 10.0.0

Public Member Functions | List of all members
clang::clangd::markup::BulletList Class Reference

Represents a sequence of one or more documents. More...

`#include <FormattedString.h>`

Inheritance diagram for clang::clangd::markup::BulletList:
[legend]
Collaboration diagram for clang::clangd::markup::BulletList:
[legend]

## Public Member Functions
void | renderMarkdown (llvm::raw_ostream &OS) const override
void | renderPlainText (llvm::raw_ostream &OS) const override
class Document & | addItem ()
Public Member Functions inherited from clang::clangd::markup::Block
std::string | asMarkdown () const
std::string | asPlainText () const
virtual bool | isRuler () const
virtual | ~Block ()=default

## Detailed Description

Represents a sequence of one or more documents.

Knows how to print them in a list like format, e.g. by prepending with "- " and indentation.

Definition at line 69 of file FormattedString.h.

## Member Function Documentation

## ◆ addItem()

class Document& clang::clangd::markup::BulletList::addItem | ( |  | ) |

## ◆ renderMarkdown()

void clang::clangd::markup::BulletList::renderMarkdown | ( | llvm::raw_ostream & | OS | ) | const
| override virtual

Implements clang::clangd::markup::Block.

## ◆ renderPlainText()

void clang::clangd::markup::BulletList::renderPlainText | ( | llvm::raw_ostream & | OS | ) | const
| override virtual

Implements clang::clangd::markup::Block.

The documentation for this class was generated from the following file:

- FormattedString.h